diff --git a/tutorials/stressAnalysis/solidDisplacementFoam/plateHole/Allclean b/tutorials/stressAnalysis/solidDisplacementFoam/plateHole/Allclean
new file mode 100755
index 0000000000000000000000000000000000000000..6b45f82a41b0f9a0739a80a41a680be892e55243
--- /dev/null
+++ b/tutorials/stressAnalysis/solidDisplacementFoam/plateHole/Allclean
@@ -0,0 +1,9 @@
+#!/bin/sh
+cd ${0%/*} || exit 1    # Run from this directory
+
+# Source tutorial clean functions
+. $WM_PROJECT_DIR/bin/tools/CleanFunctions
+
+cleanCase
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/stressAnalysis/solidDisplacementFoam/plateHole/Allrun b/tutorials/stressAnalysis/solidDisplacementFoam/plateHole/Allrun
new file mode 100755
index 0000000000000000000000000000000000000000..6d074b7c86cbeee4d9ba477abb0382aade4e2340
--- /dev/null
+++ b/tutorials/stressAnalysis/solidDisplacementFoam/plateHole/Allrun
@@ -0,0 +1,14 @@
+#!/bin/sh
+cd ${0%/*} || exit 1    # Run from this directory
+
+# Source tutorial run functions
+. $WM_PROJECT_DIR/bin/tools/RunFunctions
+
+application=`getApplication`
+
+runApplication blockMesh
+runApplication $application
+runApplication -s sigma postProcess -func "components(sigma)"
+runApplication postProcess -func singleGraph
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/stressAnalysis/solidDisplacementFoam/plateHole/system/sampleSurfaceDict b/tutorials/stressAnalysis/solidDisplacementFoam/plateHole/system/sampleSurfaceDict
deleted file mode 100644
index 2096d88f5d59cacec3853d12eff888e12e78c657..0000000000000000000000000000000000000000
--- a/tutorials/stressAnalysis/solidDisplacementFoam/plateHole/system/sampleSurfaceDict
+++ /dev/null
@@ -1,36 +0,0 @@
-/*--------------------------------*- C++ -*----------------------------------*\
-| =========                 |                                                 |
-| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
-|  \\    /   O peration     | Version:  dev                                   |
-|   \\  /    A nd           | Web:      www.OpenFOAM.org                      |
-|    \\/     M anipulation  |                                                 |
-\*---------------------------------------------------------------------------*/
-FoamFile
-{
-    version     2.0;
-    format      ascii;
-    class       dictionary;
-    location    "system";
-    object      sampleSurfaceDict;
-}
-// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
-
-interpolationScheme cellPoint;
-
-surfaceFormat   vtk;
-
-surfaces
-(
-    constantPlane
-    {
-        type plane;
-        name plate;
-        basePoint (0 0 0.25);
-        normalVector (0 0 1);
-    }
-);
-
-fields          ( sigmaEq );
-
-
-// ************************************************************************* //
diff --git a/tutorials/stressAnalysis/solidDisplacementFoam/plateHole/system/sampleDict b/tutorials/stressAnalysis/solidDisplacementFoam/plateHole/system/singleGraph
similarity index 61%
rename from tutorials/stressAnalysis/solidDisplacementFoam/plateHole/system/sampleDict
rename to tutorials/stressAnalysis/solidDisplacementFoam/plateHole/system/singleGraph
index 2f06c994d9048466c2e451ad04c13e4fee412491..5a4229eed63714f16c7cce4e4ea0e6eb9e538304 100644
--- a/tutorials/stressAnalysis/solidDisplacementFoam/plateHole/system/sampleDict
+++ b/tutorials/stressAnalysis/solidDisplacementFoam/plateHole/system/singleGraph
@@ -5,33 +5,22 @@
 |   \\  /    A nd           | Web:      www.OpenFOAM.org                      |
 |    \\/     M anipulation  |                                                 |
 \*---------------------------------------------------------------------------*/
-FoamFile
-{
-    version     2.0;
-    format      ascii;
-    class       dictionary;
-    location    "system";
-    object      sampleDict;
-}
-// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
 
-interpolationScheme cellPoint;
+singleGraph
+{
+    start   (0 0.5 0.25);
+    end     (0   2 0.25);
+    fields  (sigmaxx);
 
-setFormat       raw;
+    #includeEtc "caseDicts/postProcessing/graphs/sampleDict.cfg"
 
-sets
-(
-    leftPatch
+    setConfig
     {
-        type    uniform;
         axis    y;
-        start   (0 0.5 0.25);
-        end     (0 2 0.25);
-        nPoints 100;
     }
-);
-
-fields          (sigmaEq);
 
+    // Must be last entry
+    #includeEtc "caseDicts/postProcessing/graphs/graph.cfg"
+}
 
 // ************************************************************************* //